-- ESEGUITO 2019-06-30
ALTER TABLE CCID_METADATA DROP FOREIGN KEY FK_ID_DSR_CCID_METADATA;
ALTER TABLE CCID_METADATA MODIFY ID_DSR VARCHAR(512);
ALTER TABLE DSR_METADATA MODIFY IDDSR VARCHAR(512);
ALTER TABLE CCID_S3_PATH DROP FOREIGN KEY IDDSR_FK;
ALTER TABLE CCID_S3_PATH MODIFY IDDSR VARCHAR(512);
ALTER TABLE CCID_S3_PATH ADD CONSTRAINT IDDSR_FK FOREIGN KEY (IDDSR) REFERENCES DSR_METADATA(IDDSR);
ALTER TABLE CCID_METADATA ADD CONSTRAINT FK_ID_DSR_CCID_METADATA FOREIGN KEY (ID_DSR) REFERENCES DSR_METADATA(IDDSR);
ALTER TABLE CCID_UNIQUE_ID_HISTORY MODIFY IDDSR VARCHAR(512);
ALTER TABLE CLUSTER_MONITORING MODIFY IDDSR VARCHAR(512);
ALTER TABLE DSR_LEARNING MODIFY IDDSR VARCHAR(512);
ALTER TABLE dsr_process_kb_versions MODIFY iddsr VARCHAR(512);
ALTER TABLE dsr_reprocess MODIFY iddsr VARCHAR(512);
ALTER TABLE DSR_STATISTICS MODIFY IDDSR VARCHAR(512);
ALTER TABLE DSR_STATISTICS_SOPHIA MODIFY IDDSR VARCHAR(512);
ALTER TABLE DSR_STEPS_MONITORING MODIFY IDDSR VARCHAR(512);
ALTER TABLE dsr_to_reprocess MODIFY iddsr VARCHAR(512);
ALTER TABLE DSR_UNIDENTIFIED MODIFY IDDSR VARCHAR(512);
ALTER TABLE FUZZY_MONITORING MODIFY IDDSR VARCHAR(512);
ALTER TABLE learning_monitoring MODIFY IDDSR VARCHAR(512);
ALTER TABLE LEARNING_STATISTICS MODIFY IDDSR VARCHAR(512);
ALTER TABLE SQS_SERVICE_BUS MODIFY IDDSR VARCHAR(512);
ALTER TABLE steps_monitoring MODIFY IDDSR VARCHAR(512);
ALTER TABLE unidentified_song_dsr MODIFY id_dsr VARCHAR(512);
ALTER TABLE IMPORTI_ANTICIPO ADD COLUMN IMPORTO_ACCANTONATO DECIMAL(12,4);
ALTER TABLE IMPORTI_ANTICIPO ADD COLUMN PERCENTUALE_ACCANTONAMENTO DECIMAL(12,4);
ALTER TABLE IMPORTI_ANTICIPO ADD COLUMN NOTE VARCHAR(512);
ALTER TABLE IMPORTI_ANTICIPO ADD COLUMN IMPORTO_ACCANTONATO_UTILIZZABILE DECIMAL(12,4);
ALTER TABLE IMPORTI_ANTICIPO ADD COLUMN IMPORTO_UTILIZZATO_RECLAMI DECIMAL(12,4);
